Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Class SQLFactoryImpl

    java.lang.Object
      org.apache.openjpa.jdbc.sql.SQLFactoryImpl

All Implemented Interfaces:
  SQLFactory, Configurable

    public class SQLFactoryImpl

extends Object
implements SQLFactory, Configurable

Default factory for SQL abstraction constructs.

Author:
  Abe White

Constructor Summary
`SQLFactoryImpl()`

Method Summary
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`JDBCConfiguration` | `getConfiguration()` System configuration.
`Select` | `newSelect()` Select factory.
`Union` | `newUnion(int selects)` Union factory.
`Union` | `newUnion(Select[] selects)` Union factory.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLFactoryImpl

    public SQLFactoryImpl()

Method Detail

### getConfiguration

    public JDBCConfiguration getConfiguration()

  System configuration.

### newSelect

    public Select newSelect()

  Description copied from interface: `SQLFactory`
  Select factory.

  Specified by:
    `newSelect` in interface `SQLFactory`

### newUnion

    public Union newUnion(int selects)

  Description copied from interface: `SQLFactory`
  Union factory.

  Specified by:
    `newUnion` in interface `SQLFactory`
  Parameters:
    `selects` - the number of selects in the union

### newUnion

    public Union newUnion(Select[] selects)

  Description copied from interface: `SQLFactory`
  Union factory.

  Specified by:
    `newUnion` in interface `SQLFactory`
  Parameters:
    `selects` - the members of the union

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.

  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.